#################
# Test goal: Prepare bulk condition for interpolation
# Author: David Flanderka
# Source for reference: qualitative

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Interpolated bulk - big cube
  mesh:
    mesh_file: ../00_mesh/cube_20x20x20_frac21.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: x-z
      - region: 2d_fracture_1
        conductivity: !FieldFormula
          value: (x+100)^2
      - region: 2d_fracture_2
        conductivity: !FieldFormula
          value: (x+100)^2
      - region: 3d_cube
        conductivity: !FieldFormula
          value: x^2
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - velocity_p0
        - conductivity
    output_stream:
      file: ./large_cube.msh
      format: !gmsh
